Subject: [bug#41360] [PATCH v4 00/12] Improve OpenJFX and friends packages

From: Alexey Abramov <[email-masked]>
Date: Sun, 7 Jun 2020 17:55:06 +0200

This is an updated series of patches for openjfx. We are now building WebKit java port and use Guix inputs, instead of embedded source code bundles ship with openjfx. Tests are still disabled.

I left round brackets in java-openjfx-build package on a separate line, just to make diffs look cleaner. Is it OK?

This is not an ideal build of course. Media component is missing for example. It would be also great to build a complete jfxrt.jar and not expose java-openjfx-<component> vars at all.

I have also checked the webkitgtk package while doing this. I found that some patches apply to openjfx as well. Don't know if it's possible to use webkit.org sources for openjfx-web.

In the meantime davmail and 2fa works :). Please let me know what you think.

Alexey Abramov (12):
  gnu: java-openjfx-graphics: Implement a complete compilation.
  gnu: java-openjfx-build: Fix openjfx-swing component build for JDKu8
  gnu: java-openjfx-swing: Add new variable.
  gnu: java-openjfx-swt: Add new variable.
  gnu: java-openjfx-controls: Add new variable.
  gnu: java-openjfx-build: Patch DumpRenderTree for the web component.
  gnu: java-openjfx-build: Do not use an embedded 3rd party libraries.
  gnu: java-openjfx-build: Fix web component compilation with ICU 59+.
  gnu: java-openjfx-build: Fix web component linkage.
  gnu: java-openjfx-build: Fix web component compilation with ICU 65+.
  gnu: java-openjfx-build: Ensure use of system provided libraries.
  gnu: java-openjfx-web: Add new variable.

 gnu/local.mk                                  |   6 +
 gnu/packages/java.scm                         | 871 +++++++++++++++++-
 ...va-openjfx-build-swing-JFXPanel-JDK8.patch |  60 ++
 ...penjfx-build-web-DumpRenderTree-java.patch |  30 +
 ...-openjfx-build-web-OptionsJava.cmake.patch |  32 +
 .../patches/java-openjfx-build-web-WTF.patch  |  33 +
 ...-build-web-WebKitCompilerFlags.cmake.patch |  36 +
 .../patches/java-openjfx-build-web-icu.patch  |  38 +
 8 files changed, 1097 insertions(+), 9 deletions(-)
 create mode 100644 gnu/packages/patches/java-openjfx-build-swing-JFXPanel-JDK8.patch
 create mode 100644 gnu/packages/patches/java-openjfx-build-web-DumpRenderTree-java.patch
 create mode 100644 gnu/packages/patches/java-openjfx-build-web-OptionsJava.cmake.patch
 create mode 100644 gnu/packages/patches/java-openjfx-build-web-WTF.patch
 create mode 100644 gnu/packages/patches/java-openjfx-build-web-WebKitCompilerFlags.cmake.patch
 create mode 100644 gnu/packages/patches/java-openjfx-build-web-icu.patch

--
2.26.2